From: "Justin Lecher" <jlec@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/subunit/
Date: Fri, 23 Oct 2015 13:13:30 +0000 (UTC) [thread overview]
Message-ID: <1445605996.298aeb9d724d7f9cf3eec144725c8620a903fa4e.jlec@gentoo> (raw)
commit: 298aeb9d724d7f9cf3eec144725c8620a903fa4e
Author: Justin Lecher <jlec <AT> gentoo <DOT> org>
AuthorDate: Fri Oct 23 13:12:42 2015 +0000
Commit: Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Fri Oct 23 13:13:16 2015 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=298aeb9d
dev-python/subunit: Version Bump
Package-Manager: portage-2.2.23
Signed-off-by: Justin Lecher <jlec <AT> gentoo.org>
dev-python/subunit/Manifest | 1 +
dev-python/subunit/subunit-1.2.0.ebuild | 94 +++++++++++++++++++++++++++++++++
2 files changed, 95 insertions(+)
diff --git a/dev-python/subunit/Manifest b/dev-python/subunit/Manifest
index bf25c77..4c25b6b 100644
--- a/dev-python/subunit/Manifest
+++ b/dev-python/subunit/Manifest
@@ -6,3 +6,4 @@ DIST subunit-0.0.21.tar.gz 441691 SHA256 f12565cb0c6efdee4d96e9e640db4bcbfbede73
DIST subunit-0.0.6.tar.gz 388872 SHA256 98f5e72107322dc1c502543384e1ed790671d319a5096eab4f4d20641555de77 SHA512 79aa46a2cbdbe27bb1fcfa02a65bd10ba9ccf5013f9cbd8549d5aad304b8d451ed6a854b1b77415601aab8f6966b7004337634ea5e7bd8387dda8209781b118f WHIRLPOOL fd05cfed6e7cd50df57dfc3dd0c45bf955a033abf7c43849193a9f7515847eb7d2df5819e964407dac253c46ba5073f2bb1499a92a94a072591a4db4d5128c2b
DIST subunit-1.0.0.tar.gz 441964 SHA256 55dc2c1c22c650ad9f109516a72a9d37b986939de25b6195210724ce79ced0ba SHA512 082990e777667edb7d3666b554a1818a976369742a1ed9bbc47a9c59f97937c0619a315893f532e49c2cd798537b320ca2aa9df916906b85a75db8a7d4f8bc84 WHIRLPOOL e6650f991ecb0c7d0fc6001947cc5f11740c34783e62485bf5e8acebc9369665a8658789c7b7df5608efe8c5931b263952383231e8989f3be98cca2a807ba471
DIST subunit-1.1.0.tar.gz 441946 SHA256 4869a5bec96b7b4e760d053f842d80548008740cda1a7efbb9053063ee818a51 SHA512 11aaa8f2ae04232623fbfb7b9561aa15bddbc55201a3a16eea1319a076de3417977590c57bb7ab0bbd86b321b203241ba5ea8050932759aeb3f3ed71b723a98b WHIRLPOOL 2705fcb98d0b67b5d2cddff87095a9b65782467f3e9b84f956ac29c85c2995881dcd63468a144277fb76b7adfdbbb2ecdc36eae8413886a72028e3565edbdf47
+DIST subunit-1.2.0.tar.gz 460532 SHA256 27f0561297a7d56d85a8f5491f47e44303d0bb1d99c5627486774ea1bcb3d5c3 SHA512 f6559fd771ad0732985230d11a9a8326ef35c817b62d1f50dc332f0032f7b08559a46d2534983b7d3964e45682ac49b3e348581ee0983861390abcd4ec20459c WHIRLPOOL c30b4a2c9ab17f49f87e206fe5833ae564452b99af447f8c4cbf969b2f2dd96e482fc583e84264be815b051b1bd12e6c132cd779c88d0d68da53956fef0b25b7
diff --git a/dev-python/subunit/subunit-1.2.0.ebuild b/dev-python/subunit/subunit-1.2.0.ebuild
new file mode 100644
index 0000000..66e8ef9
--- /dev/null
+++ b/dev-python/subunit/subunit-1.2.0.ebuild
@@ -0,0 +1,94 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python2_7 python3_{3,4,5} pypy pypy3 )
+
+inherit distutils-r1 eutils multilib-minimal versionator
+
+DESCRIPTION="A streaming protocol for test results"
+HOMEPAGE="https://launchpad.net/subunit https://pypi.python.org/pypi/python-subunit"
+SRC_URI="https://launchpad.net/${PN}/trunk/$(get_version_component_range 1-2)/+download/${P}.tar.gz"
+
+LICENSE="Apache-2.0 BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~x86-fbsd"
+IUSE="static-libs test"
+
+RDEPEND="
+ >=dev-python/testtools-0.9.34[${PYTHON_USEDEP}]
+ dev-python/extras[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ dev-lang/perl:=
+ >=dev-libs/check-0.9.11[${MULTILIB_USEDEP}]
+ >=dev-util/cppunit-1.13.2[${MULTILIB_USEDEP}]
+ >=virtual/pkgconfig-0-r1[${MULTILIB_USEDEP}]
+ test? (
+ dev-python/fixtures[${PYTHON_USEDEP}]
+ dev-python/hypothesis[${PYTHON_USEDEP}]
+ dev-python/testscenarios[${PYTHON_USEDEP}]
+ )"
+
+# Take out rogue & trivial failing tests that exit the suite before it even gets started
+# The removed class in fact works fine in py3 and fails with py2.7 & pupu
+# The setu to restrict this patch is just those 2 is not worth it.
+PATCHES=( "${FILESDIR}"/1.0.0-tests.patch )
+
+src_prepare() {
+ sed -i -e 's/os.chdir(os.path.dirname(__file__))//' setup.py || die
+
+ # Install perl modules in vendor_perl, bug 534654.
+ export INSTALLDIRS=vendor
+
+ # needed for perl modules
+ distutils-r1_src_prepare
+ multilib_copy_sources
+}
+
+multilib_src_configure() {
+ ECONF_SOURCE=${S} \
+ econf \
+ --enable-shared \
+ $(use_enable static-libs static)
+}
+
+multilib_src_compile() {
+ default
+ multilib_is_native_abi && distutils-r1_src_compile
+}
+
+python_test() {
+ local -x PATH="${PWD}/shell/share:${PATH}"
+ local -x PYTHONPATH=python
+ # Following tests are known to fail in py2.7 & pypy. They pass under py3.
+ # DO NOT re-file
+ # test_add_error test_add_error_details test_add_expected_failure
+ # test_add_expected_failure_details test_add_failure test_add_failure
+ # https://bugs.launchpad.net/subunit/+bug/1436686
+
+ "${PYTHON}" -m testtools.run all_tests.test_suite || die "Testing failed with ${EPYTHON}"
+}
+
+multilib_src_test() {
+ multilib_is_native_abi && distutils-r1_src_test
+}
+
+multilib_src_install() {
+ local targets=(
+ install-include_subunitHEADERS
+ install-pcdataDATA
+ install-exec-local
+ install-libLTLIBRARIES
+ )
+ emake DESTDIR="${D}" "${targets[@]}"
+
+ multilib_is_native_abi && distutils-r1_src_install
+}
+
+multilib_src_install_all() {
+ einstalldocs
+ prune_libtool_files
+}
next reply other threads:[~2015-10-23 13:13 UTC|newest]
Thread overview: 74+ messages / expand[flat|nested] mbox.gz Atom feed top
2015-10-23 13:13 Justin Lecher [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-06-20 8:45 [gentoo-commits] repo/gentoo:master commit in: dev-python/subunit/ Petr Vaněk
2023-12-09 20:01 Michał Górny
2023-12-09 19:00 Arthur Zamarin
2023-12-09 15:47 Michał Górny
2023-12-09 15:13 Michał Górny
2023-12-09 14:30 Michał Górny
2023-12-09 14:30 Michał Górny
2023-12-09 14:17 Michał Górny
2023-12-09 14:10 Michał Górny
2023-11-18 15:47 Michał Górny
2023-10-26 14:50 Michał Górny
2023-10-18 15:42 Arthur Zamarin
2023-10-18 9:02 Sam James
2023-10-18 9:02 Sam James
2023-10-18 9:02 Sam James
2023-10-18 9:02 Sam James
2023-10-18 9:02 Sam James
2023-09-18 2:39 Michał Górny
2022-12-11 20:50 Michał Górny
2022-12-11 18:27 Arthur Zamarin
2022-12-10 14:33 Arthur Zamarin
2022-12-10 14:33 Arthur Zamarin
2022-12-10 14:33 Arthur Zamarin
2022-12-10 9:02 Arthur Zamarin
2022-12-10 9:02 Arthur Zamarin
2022-12-10 8:51 Arthur Zamarin
2022-11-17 6:15 Michał Górny
2022-11-07 5:54 Michał Górny
2022-07-15 13:45 Arthur Zamarin
2022-05-17 14:07 WANG Xuerui
2021-10-31 20:09 Arthur Zamarin
2021-10-31 18:07 Sam James
2021-10-31 18:07 Sam James
2021-10-31 18:04 Sam James
2021-10-31 18:02 Sam James
2021-10-31 18:02 Sam James
2021-10-31 17:58 Sam James
2021-10-31 17:55 Sam James
2021-10-01 5:42 Arthur Zamarin
2021-10-01 5:42 Arthur Zamarin
2021-07-05 22:54 Michał Górny
2020-07-17 1:44 Sam James
2020-07-14 16:38 Sergei Trofimovich
2020-07-11 9:27 Michał Górny
2020-07-09 8:34 Agostino Sarubbo
2020-07-09 8:27 Agostino Sarubbo
2020-07-09 8:16 Agostino Sarubbo
2020-07-09 8:04 Agostino Sarubbo
2020-07-09 7:06 Sergei Trofimovich
2020-05-31 15:42 Michał Górny
2020-03-28 16:27 Michał Górny
2019-12-30 21:54 Piotr Karbowski
2018-06-28 14:08 Mikle Kolyada
2018-02-18 0:03 Patrice Clement
2017-08-11 17:06 Michał Górny
2017-07-29 20:38 Matt Thode
2017-05-03 7:37 Michał Górny
2016-05-25 23:05 Andreas Hüttel
2015-11-23 6:44 Jeroen Roovers
2015-11-22 19:29 Markus Meier
2015-11-19 10:25 Agostino Sarubbo
2015-11-16 16:26 Agostino Sarubbo
2015-11-16 16:15 Agostino Sarubbo
2015-11-16 15:01 Agostino Sarubbo
2015-11-05 11:52 Agostino Sarubbo
2015-11-04 16:09 Agostino Sarubbo
2015-11-04 15:50 Agostino Sarubbo
2015-11-02 13:12 Agostino Sarubbo
2015-11-02 13:09 Agostino Sarubbo
2015-10-14 13:40 Justin Lecher
2015-10-11 11:25 Justin Lecher
2015-10-10 18:49 Mikle Kolyada
2015-08-24 10:12 Justin Lecher
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1445605996.298aeb9d724d7f9cf3eec144725c8620a903fa4e.jlec@gentoo \
--to=jlec@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox